/// <reference types="node" />
import type { StaticToken } from '@lifi/sdk';
import { EventEmitter } from 'events';
import type { AccountData, InjectedConnectorArgs, Provider, Wallet } from '../types';
export declare class InjectedConnector extends EventEmitter implements Wallet {
    private windowProvider;
    isActivationInProgress: boolean;
    account: AccountData | undefined;
    name: string;
    icon: string;
    installed: () => Promise<boolean>;
    constructor(constructorArgs: InjectedConnectorArgs, windowConnector?: Provider, autoConnect?: boolean);
    private initializeProvider;
    autoConnect(): Promise<void>;
    connect(): Promise<void>;
    disconnect(): void | Promise<void>;
    switchChain(chainId: number): Promise<boolean>;
    addChain(chainId: number): Promise<boolean>;
    addToken(chainId: number, token: StaticToken): Promise<boolean>;
    private calcAccountData;
}
