/// <reference types="node" />
import { Web3Provider } from '@ethersproject/providers';
import { EventEmitter } from 'events';
import type { AccountData, InjectedConnectorArgs, Wallet } from '../types';
export declare class SafeWalletConnector extends EventEmitter implements Wallet {
    provider: Web3Provider | undefined;
    isActivationInProgress: boolean;
    account: AccountData | undefined;
    name: string;
    icon: string;
    installed: () => Promise<boolean>;
    constructor(args: InjectedConnectorArgs);
    autoConnect: () => Promise<void>;
    disconnect: () => void;
    connect: () => Promise<void>;
    private calcAccountData;
    switchChain: () => any;
    addChain: () => any;
    addToken: () => any;
}
