/// <reference types="node" />
import type { StaticToken } from '@lifi/sdk';
import WalletConnectProvider from '@walletconnect/ethereum-provider';
import { EventEmitter } from 'events';
import type { AccountData, Wallet, WalletConnectConnectorArgs } from '../types';
export interface MockWalletConnectProvider extends Omit<WalletConnectProvider, 'on' | 'off' | 'once' | 'removeListener'>, EventEmitter {
}
export declare class WalletConnectConnector extends EventEmitter implements Wallet {
    private readonly options;
    provider?: MockWalletConnectProvider;
    walletConnectProvider?: WalletConnectProvider;
    isActivationInProgress: boolean;
    account?: AccountData;
    name: string;
    icon: string;
    installed: () => Promise<boolean>;
    constructor(args: WalletConnectConnectorArgs);
    private startListening;
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    switchChain(chainId: number): Promise<boolean>;
    addChain(chainId: number): Promise<boolean>;
    addToken(chainId: number, token: StaticToken): Promise<boolean>;
    private calcAccountData;
}
